{% extends 'base.html.twig' %}

{% block body %}
    <section class="profil">
        <div class="profil__account">
            <img id="iconProfil">
            <h1 id="title">{{ user.username }}</h1>
        </div>
        <div class="profil__level">
            Level <span id="level">0</span>
        </div>
    </section>
    <section class="userWrapper">
        <div class="userWrapper__column">
            <section class="rank">
                <div class="rank__title">
                    <img src="{{ asset('img/rank.svg') }}">
                    <h2>Rank</h2>
                </div>
                <div class="rank__image">
                    <img id="iconRank" src="{{ asset('img/ranked-emblems/') }}">
                </div>
                <div class="rank__level">
                    <span id="rankName">Diamant</span>
                    <span id="rankNumber">III</span>
                    <span id="rankLP">73 LP</span>
                </div>
            </section>

            <section class="statistiques">
                <div class="statistiques__title">
                    <img src="{{ asset('img/stats.svg') }}">
                    <h2>Statistiques</h2>
                </div>
                <div class="statistiques__bar">
                    <div class="statistiques__winrateBar">
                        <div id="progress"></div>
                    </div>
                    <p class="statistiques__winrateNumber"><span id="percentWinrate"></span> de winrate</p>
                </div>
                <div class="statistiques__winrate">
                    <div class="statistiques__wins">
                        <p id="wins">1</p>
                        <p class="rotate">Wins</p>
                    </div>
                    <div class="statistiques__wins">
                        <p id="looses">1</p>
                        <p class="rotate">Loses</p>
                    </div>
                </div>
            </section>
        </div>
        <div class="userWrapper__column">
            <section class="sessions">
                {% for session in sessions %}
                    <article class="session">
                        <ul class="session__list">
                            <li class="session__col"><img class="session__img" src="{{ asset('img/sessions/'~session.type.img~'.png') }}"></li>
                            <li class="session__col">
                                <img class="session__lol" src="{{ asset('img/lol.png') }}" alt="">
                                <p class="session__type">Type : {{ session.type.name }}</p>
                                <p class="session__creator">Créateur : {{ session.idCreator.username }}</p>
                                <p class="session__nbPlayer">Joueurs : {{ session.utilisateurs|length }}/{{ session.type.nbPlayers }}</p>
                            </li>
                            <li class="session__col session__col--btn">
                                <a href="/session/{{ session.id }}" class="session__btn">Rejoindre</a>
                            </li>
                        </ul>
                    </article>
                {% endfor %}
            </section>
        </div>
    </section>


<script>
    window.addEventListener('load', () => {
        getId();
    })

    let ids;

    function getId() {
        let id = document.getElementById('title').innerHTML;
        fetch(`https://euw1.api.riotgames.com/lol/summoner/v4/summoners/by-name/${id}?api_key=RGAPI-7716b89c-21ff-4172-b881-d352df9448a7`)
            .then(function(response) {
                return response.json();
            })
            .then(function(data) {
                document.getElementById('iconProfil').src = `https://ddragon.leagueoflegends.com/cdn/10.15.1/img/profileicon/${data.profileIconId}.png`;
                document.getElementById('level').innerHTML = data.summonerLevel;
                ids = data;
                getInfos();
            });
    }

    function getInfos() {
        fetch(`https://euw1.api.riotgames.com/lol/league/v4/entries/by-summoner/${ids.id}?api_key=RGAPI-7716b89c-21ff-4172-b881-d352df9448a7`)
            .then(function(response) {
                return response.json();
            })
            .then(function(data2) {
                let winrate = Math.round((data2[0].wins/(data2[0].wins + data2[0].losses))*100);
                console.log(winrate);
                document.getElementById('iconRank').src = document.getElementById('iconRank').src+data2[0].tier+'.png';
                document.getElementById('rankName').innerHTML = data2[0].tier;
                document.getElementById('rankNumber').innerHTML = data2[0].rank;
                document.getElementById('wins').innerHTML = data2[0].wins;
                document.getElementById('looses').innerHTML = data2[0].losses;
                document.getElementById('rankLP').innerHTML = data2[0].leaguePoints+' LP';
                document.getElementById('progress').style.width = winrate+'%';
                document.getElementById('percentWinrate').innerHTML = winrate+'%';
            });
    }
</script>

{% endblock %}
